Bug 298985 - Log size limit "unlimited" is too small
Summary: Log size limit "unlimited" is too small
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Unclassified
Component: filtering (show other bugs)
Version: 4.8.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-28 15:35 UTC by Graeme Hewson
Modified: 2012-05-16 16:16 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graeme Hewson 2012-04-28 15:35:26 UTC
When the filter log size limit is the default "unlimited", only about 15 lines are shown in the log, with no scrolling. Saving the log to file confirms the log is quite small.
Comment 1 Graeme Hewson 2012-05-03 10:35:45 UTC
The actual limit when the dialog shows "unlimited" is 1KB.

When logged out of KDE, I edited ~/.kde/share/config/akonadi_mailfilter_agentrc and removed the whole [FilterLog] section. When I started kmail again (embedded within kontact) and started logging filter activities, this line was included in the [FilterLog] section:

maxLogSize=1024

Clicking the arrows in the dialog box up and down, when the dialog returns to "unlimited", the rc file returns to 1024 for the maxLogSize value.
Comment 2 Laurent Montel 2012-05-15 17:33:15 UTC
I already fixed a bug about limited size.
But it's right unlimited doesn't work well.
Will fix it soon
Comment 3 Laurent Montel 2012-05-16 16:13:55 UTC
Git commit 801013e0867d7bf3f27ddac8203b4b4eb7232486 by Montel Laurent.
Committed on 16/05/2012 at 18:13.
Pushed by mlaurent into branch 'master'.

Fix Bug 298985 - Log size limit "unlimited" is too small

FIXED-IN: 4.8.4

M  +11   -5    mailfilteragent/filterlogdialog.cpp

http://commits.kde.org/kdepim/801013e0867d7bf3f27ddac8203b4b4eb7232486
Comment 4 Laurent Montel 2012-05-16 16:16:55 UTC
Git commit f3ffd5a18e4ad6299caaf20ec27d4b198770e4bf by Montel Laurent.
Committed on 16/05/2012 at 18:13.
Pushed by mlaurent into branch 'KDE/4.8'.

Fix Bug 298985 - Log size limit "unlimited" is too small

FIXED-IN: 4.8.4
(cherry picked from commit 801013e0867d7bf3f27ddac8203b4b4eb7232486)

Conflicts:

	mailfilteragent/filterlogdialog.cpp

M  +11   -4    mailfilteragent/filterlogdialog.cpp

http://commits.kde.org/kdepim/f3ffd5a18e4ad6299caaf20ec27d4b198770e4bf